[haiku-commits] r41735 - haiku/trunk/build/scripts

  • From: kallisti5@xxxxxxxxxxx
  • To: haiku-commits@xxxxxxxxxxxxx
  • Date: Wed, 25 May 2011 04:13:13 +0200 (CEST)

Author: kallisti5
Date: 2011-05-25 04:13:13 +0200 (Wed, 25 May 2011)
New Revision: 41735
Changeset: https://dev.haiku-os.org/changeset/41735

Modified:
   haiku/trunk/build/scripts/build_haiku_image
Log:
add an attempted fallback to genisoimage if mkisofs doesn't exist on the 
system. (debian no longer ships mkisofs) genisoimage is based on an older 
version of mkisofs and has issues with long filenames. The genisoimage 
iso-level override makes the image work and allows long filenames but may 
introduce issues? placed a warning to the user that genisoimage is a fallback

Modified: haiku/trunk/build/scripts/build_haiku_image
===================================================================
--- haiku/trunk/build/scripts/build_haiku_image 2011-05-25 02:10:26 UTC (rev 
41734)
+++ haiku/trunk/build/scripts/build_haiku_image 2011-05-25 02:13:13 UTC (rev 
41735)
@@ -313,9 +313,20 @@
        echo "Copying boot image ..."
        $cp "$cdBootFloppy" "$outputDir"
 
-       # build the iso image
-       echo "Building CD image ..."
-       mkisofs -uid 0 -gid 0 -b `basename $cdBootFloppy` -R -V "$cdLabel" -o 
"$cdImagePath" "$tPrefix"
+       if [ $(which mkisofs) ]; then
+               # build the iso image using mkisofs
+               echo "Building CD image (mkisofs)..."
+               mkisofs -uid 0 -gid 0 -b `basename $cdBootFloppy` -R -V 
"$cdLabel" -o "$cdImagePath" "$tPrefix"
+       elif [ $(which genisoimage) ]; then
+               # build the iso image using genisoimage
+               echo "Building CD image (genisoimage)..."
+               echo "WARNING: genisoimage fallback has known problems with 
long filenames!"
+               echo "         Please install mkisofs before making production 
releases!"
+               genisoimage -r -iso-level 4 -b `basename $cdBootFloppy` -V 
"$cdLabel" -o "$cdImagePath" "$tPrefix"
+       else
+               echo "you need mkisofs (preferred) or genisoimage to create a 
CD image."
+               exit 1
+       fi
 
        # cleanup output dir
        $rmAttrs -rf "$outputDir"


Other related posts: